/* vim: set ft=javascript expandtab shiftwidth=2 tabstop=2: */

module.exports = function( grunt ) {

  // Project configuration
  grunt.initConfig( {
    pkg:    grunt.file.readJSON( 'package.json' ),
    sass:   {
      all: {
        options: {                       // Target options
          style: 'expanded'
        },
        files: {
          'css/admin-gmo-ads-master.css': 'css/admin-gmo-ads-master.scss',
          'css/gmo-ads-master.css': 'css/gmo-ads-master.scss'
        }
      }
    },
    cssmin: {
      options: {
        banner: '/**\n' +
            ' * <%= pkg.title %> - v<%= pkg.version %>\n' +
            ' *\n' +
            ' * <%= pkg.homepage %>\n' +
            ' * <%= pkg.repository.url %>\n' +
            ' *\n' +
            ' * Copyright <%= grunt.template.today("yyyy") %>, <%= pkg.author.name %> (<%= pkg.author.url %>)\n' +
            ' * Released under the <%= pkg.license %>\n' +
            ' */\n'
      },
      minify: {
        expand: true,
        cwd: 'css/',
        src: [
          'admin-gmo-ads-master.css',
          'gmo-ads-master.css'
        ],
        dest: 'css/',
        ext: '.min.css'
      }
    }
  } );

  // Load other tasks
  grunt.loadNpmTasks('grunt-contrib-cssmin');
  grunt.loadNpmTasks('grunt-contrib-sass');

  // Default task.
  grunt.registerTask('default', ['sass', 'cssmin']);

  grunt.util.linefeed = '\n';
};
